# Antenna Calc

This is a C++ antenna length caculator for Yagi and Dipole antennas for these areas of the spectrum and bands.

- VLF 3 to 30 kilohertz (kHz)
- LF 30 to 300 kilohertz (kHz)
- MF 300 kilohertz (kHz) to 3 megahertz (MHz)
- HF 3 to 30 megahertz (MHz)
- VHF 30 to 300 megahertz (MHz)
- UHF 300 MHz to 3 GHz

We are using the formula L = C/F, where L is the length of the antenna, C is the speed of light, and F is the frequency of the signal:

- Frequency range: The frequency range of the signal that the antenna will be used for.

- Speed of light: The speed of light in a vacuum is approximately 299,792,458 meters per second.

- Wavelength: The wavelength of the signal can be calculated using the formula λ = C/F, where λ is the wavelength of the signal, C is
  the speed of light, and F is the frequency of the signal.

- Antenna length: The length of the antenna can be calculated as a fraction of the wavelength of the signal, depending on the type of antenna. For example, a

half-wave dipole antenna has a length of λ/2, while a quarter-wave monopole antenna has a length of λ/4, and there are others including 3/4, 5/8 and full wave.

To use this calculator:

 - Enter the desired band, center frequency, frequency range, desired wavelength of the antenna using these:

Some questions: 
What is the frequency or frequency range of the signal that the antenna will be used for? This is the most important parameter for calculating the antenna length, as it determines the wavelength of the signal.
What type of antenna will be used? Different types of antennas have different lengths, depending on their design and the frequency of the signal.
What is the velocity factor of the antenna? The velocity factor is a measure of how fast the signal travels through the antenna, and it affects the length of the antenna.
What is the height of the antenna above the ground? The height of the antenna can affect its performance and the length of the antenna.
What is the impedance of the antenna? The impedance of the antenna affects the matching of the antenna to the transmission line and the length of the antenna.
What is the power of the signal that the antenna will be used for? The power of the signal can affect the design and construction of the antenna.
What is the polarization of the signal? The polarization of the signal can affect the design and orientation of the antenna.
What is the bandwidth of the antenna? The bandwidth of the antenna affects the range of frequencies that the antenna can receive or transmit.
What is the gain of the antenna? The gain of the antenna affects its sensitivity and directionality.
What is the noise level of the environment? The noise level can affect the performance of the antenna and the length of the antenna.
What will the antenna be used for? Transmitting, receiving or both?
What SWR (Standing Wave Ratio) is desired?